net.sf.jasperreports.components.table.fill

## Interface BuiltinExpressionEvaluator

- All Known Implementing Classes:
    ConstantBuiltinExpression, HeaderLabelUtil.HeaderLabelBuiltinExpression, TableReport.SummaryGroupFooterPrintWhenEvaluator

      public interface BuiltinExpressionEvaluator

  Version:
    $Id: BuiltinExpressionEvaluator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(DatasetExpressionEvaluator evaluator)`
    `java.lang.Object` | `evaluateEstimated(DatasetExpressionEvaluator evaluator)`
    `java.lang.Object` | `evaluateOld(DatasetExpressionEvaluator evaluator)`
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillField> fieldsMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

- - ### Method Detail

    - #### init

          void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillField> fieldsMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap,
                  WhenResourceMissingTypeEnum resourceMissingType)
                    throws JRException

      Throws:
        `JRException`

    - #### evaluate

          java.lang.Object evaluate(DatasetExpressionEvaluator evaluator)
                                    throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateOld

          java.lang.Object evaluateOld(DatasetExpressionEvaluator evaluator)
                                       throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateEstimated

          java.lang.Object evaluateEstimated(DatasetExpressionEvaluator evaluator)
                                             throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com